import axios from '@/utils/axios'

export default {

  /**
  * 获取字典项
  */
  DictMessage() {
    return axios.get('/report/api/getSystemDicItem')
  },
/**
  * 获取场景信息
  */
 getDictsFromPAS() {
  return axios.get('/report/api/getDictsFromPAS')
},
  /** 
   * 获取所有人员
  */
  getAllPersonnel(){
    return axios.get('/report/api/getAllPersonnel')
  },

  /** 
   * 分页获取人员
  */
   getPartPersonnel(params){
    return axios.post('/report/api/getPartPersonnel',params)
  },

  /**
   * 获取所有客户
   */
  getAllClient(){
    return axios.get('/report/api/getAllClient')
  },

  /**
   * 获取所有部门
   */
  getAllDepartment(){
    return axios.get('/report/api/getAllDepartment')
  },
  //创建报告
  AddReport(params){
    return axios.post('/report/api/report/addReport',params)
 },
 /** 
   *新增审核任务
  */
   AddTask(params){
    return axios.post('/report/api/task/addTask', params)
 },
}